Bug 6517 - Mount password required after X restart
: Mount password required after X restart
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-29 19:02 MSK by Vladimir Potapov
Modified: 2016-01-06 10:54 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2015-12-29 19:02:50 MSK
After X restart by ctrl+alt+BS, flash drive mount (and sleep mode) require password.

Workaround:
1) Ctrl+alt+BS
2) re-enter
3) systemd-loginctl list-sessions  (see session double!)
4) systemd-loginctl kill-session c* (kill old session double)
Comment 1 Andrey Bondrov 2015-12-31 13:23:17 MSK
1. systemd

Advisory: "Backport patches from upstream to fix various bugs in logind"
https://abf.rosalinux.ru/build_lists/2614070
https://abf.rosalinux.ru/build_lists/2614071

2. pulseaudio

Advisory: "Fix bug in systemd session handling"
https://abf.rosalinux.ru/build_lists/2614073
https://abf.rosalinux.ru/build_lists/2614074
Comment 2 Vladimir Potapov 2015-12-31 15:32:35 MSK
Не работает. Под x64 более-менее (два из трех) заработало после обновления из обеих контейнеров и отката systemd обратно.
На i586 же добавились глюки - после перезагрузки иксов вместо ждущего режима уходит по кнопке в выключение, а при монтировании говорит просто "не могу смонтировать" И если только PA обновить - тоже не работает, там просто никакого эффекта.
Comment 3 Andrey Bondrov 2016-01-01 07:40:24 MSK
Давай попробуем не все патчи на systemd-logind наложить, а только самые релевантные.

Advisory: "Backport patches from upstream to fix various bugs in logind"

https://abf.rosalinux.ru/build_lists/2614286
https://abf.rosalinux.ru/build_lists/2614287
Comment 4 Vladimir Potapov 2016-01-01 14:04:53 MSK
The update is sent to expanded testing
**************************************
Comment 5 Andrey Bondrov 2016-01-02 19:14:07 MSK
Advisory: "Backport patches from upstream to fix various bugs in logind. Enable dmraid-activation.service in default preset."

https://abf.rosalinux.ru/build_lists/2614417
https://abf.rosalinux.ru/build_lists/2614418
Comment 6 Vladimir Potapov 2016-01-02 20:16:14 MSK
The update is sent to expanded testing
**************************************
Comment 7 Vladimir Potapov 2016-01-04 23:58:30 MSK
systemd-219-1.20150505.21
https://abf.rosalinux.ru/build_lists/2614417
https://abf.rosalinux.ru/build_lists/2614418
*************************** Advisory ****************************
Backport patches from upstream to fix various bugs in logind. Enable dmraid-activation.service in default preset.
*****************************************************************
QA Verified